Skip to main content
`Ctrl`+`K`

# TaoMonitorSolutionDraw

Plots the solution at each iteration of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorSolutionDraw(Tao tao, PetscCtx ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - `TaoMonitorDraw` context

## Options Database Key

- -tao_monitor_solution_draw - draw the solution at each iteration

## Note

The context created by `TaoMonitorDrawCtxCreate()`, along with `TaoMonitorSolutionDraw()`, and `TaoMonitorDrawCtxDestroy()` are passed to `TaoMonitorSet()` to monitor the solution graphically.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorSolution()`, `TaoMonitorSet()`, `TaoMonitorGradientDraw()`, `TaoMonitorDrawCtxCreate()`, `TaoMonitorDrawCtxDestroy()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages